<?php

use Monolog\Logger;
use Monolog\Handler\RotatingFileHandler;


$loggerRegistry
    ->pushLogger(new Logger('app', [
        new RotatingFileHandler(LOGS_DIR . 'app' . DS . 'error.log', 15,Logger::INFO)
    ]))
    ->pushLogger(new Logger('sql', [
        new RotatingFileHandler(LOGS_DIR . 'sql' . DS . 'error.log', 15,Logger::INFO)
    ]))
    ->pushLogger(new Logger('email', [
        new RotatingFileHandler(LOGS_DIR . 'email' . DS . 'error.log', 15,Logger::INFO)
    ]))
    ->pushLogger(new Logger('notification', [
        new RotatingFileHandler(LOGS_DIR . 'notification' . DS . 'error.log', 15,Logger::INFO)
    ]))
;