<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php if(isset($obj)) echo $obj->getVar('name'); elseif(isset($title)) echo $title;	 ?></title>

    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

    <link rel="stylesheet" href="/back/assets/bootstrap/dist/css/bootstrap.min.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="/back/assets/font-awesome/css/font-awesome.min.css">

    <link rel="stylesheet" href="/back/assets/select2/dist/css/select2.min.css">
    <link rel="stylesheet" href="/back/assets/bootstrap-daterangepicker/daterangepicker.css">
    <link rel="stylesheet" href="/back/assets/bootstrap-datepicker/bootstrap-datepicker3.standalone.min.css">
    <link rel="stylesheet" href="/back/assets/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css">
    <link rel="stylesheet" href="/back/assets/bootstrap-editable/css/bootstrap-editable.css">

    <!-- Theme style -->
    <link rel="stylesheet" href="/back/assets/adminlte/dist/css/AdminLTE.min.css">
    <!-- AdminLTE Skins. We have chosen the skin-blue for this starter
          page. However, you can choose any other skin. Make sure you
          apply the skin class to the body tag so the changes take effect. -->
    <link rel="stylesheet" href="/back/assets/adminlte/dist/css/skins/skin-blue.min.css">
    <link rel="stylesheet" href="/back/assets/dedi/styles.css">
    <link rel="stylesheet" href="/back/assets/flag-icon-css/css/flag-icon.min.css">

    <link rel="stylesheet"
          href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">


    <script type="text/javascript">
        var myTimer = setInterval("refreshSession()", 300000);
    </script>

    <!-- script mootools -->
    <script type="text/javascript" src="/back/js/moo_tools/moo_tools.js"></script>
    <script type="text/javascript" src="/back/js/moo_tools/moo_tools.prototype.compatability.js"></script>
    <script type="text/javascript" src="/back/js/legacy.js"></script>
    <script type="text/javascript" src="/back/js/moo_script.js"></script>
    <!-- script mootools -->

    <!-- jQuery 3 -->
    <script src="/back/assets/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap 3.3.7 -->
    <script src="/back/assets/bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="/back/assets/select2/dist/js/select2.full.min.js"></script>
    <script src="/back/assets/moment/moment-with-locales.min.js"></script>
    <script src="/back/assets/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="/back/assets/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
    <script src="/back/assets/bootstrap-datepicker/locales/bootstrap-datepicker.fr.min.js"></script>
    <script src="/back/assets/bootstrap-validator/validator.min.js"></script>
    <script src="/back/assets/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js"></script>
    <script src="/back/assets/bootstrap-notify/bootstrap-notify.min.js"></script>
    <script src="/back/assets/bootstrap-editable/js/bootstrap-editable.min.js"></script>

    <script src="/back/js/highcharts/highcharts.src.js"></script>

    <!-- AdminLTE App -->
    <script src="/back/assets/adminlte/dist/js/adminlte.min.js"></script>

    <!-- Compatibilité avec mootools -->
    <script type="text/javascript">
        $.noConflict();
        // to fix input search for autocompelte field in modal
        // https://stackoverflow.com/questions/13649459/twitter-bootstrap-multiple-modal-error/15856139#15856139
        jQuery.fn.modal.Constructor.prototype.enforceFocus = function () {};

        jQuery.notifyDefaults({
            z_index: 99999
        });
    </script>

    <!--[if IE 6]>
    <!-- <link href="<?php echo BACK_URL; ?>styles/fix.css" rel="stylesheet" type="text/css" /> -->
    <![endif]-->

    <script type="text/javascript" src="/back/includes/tiny_mce/tiny_mce_gzip.js"></script>
</head>

<?php

if (isset($_SESSION['connexion']['administrateur_id'])) {
    // change class skin-*
    // skin-blue, skin-blue-light, skin-yellow, skin-yellow-light, skin-green
    // skin-green-light, skin-purple, skin-purple-light, skin-red, skin-red-light
    // skin-black, skin-black-light
    $classBody = 'skin-blue sidebar-mini';
} else {
    $classBody = 'login-page';
}
?>

<body class="hold-transition <?php echo $classBody; ?>">

<?php if (isset($_SESSION['connexion']['administrateur_id'])) : ?>

<div class="wrapper">

    <!-- Main Header -->
    <header class="main-header">

        <!-- Logo -->
        <a href="<?php echo  SITE_URL; ?>" target="_blank" class="logo">
            <!-- mini logo for sidebar mini 50x50 pixels -->
            <span class="logo-mini">Shop by Dedi</span>
            <!-- logo for regular state and mobile devices -->
            <span class="logo-lg">Shop by Dedi</span>
        </a>

        <!-- Header Navbar -->
        <nav class="navbar navbar-static-top" role="navigation">
            <!-- Sidebar toggle button-->
            <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
                <span class="sr-only">Toggle navigation</span>
            </a>
            <!-- Navbar Right Menu -->
            <div class="navbar-custom-menu">
                <ul class="nav navbar-nav">

                    <!-- User Account Menu -->
                    <li class="dropdown user user-menu">
                        <!-- Menu Toggle Button -->
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <!-- hidden-xs hides the username on small devices so only the image appears. -->
                            <span class="hidden-xs"><?php echo $_SESSION['connexion']['administrateur_prenom'] . ' ' . $_SESSION['connexion']['administrateur_nom'];?></span>
                        </a>
                        <ul class="dropdown-menu">
                            <!-- The user image in the menu -->
                            <li class="user-header">
                                <p>
                                    <?php echo $_SESSION['connexion']['administrateur_email']; ?>
                                </p>
                            </li>


                            <!-- Menu Footer-->
                            <li class="user-footer">
                                <div class="pull-left">
                                    <a href="/back/account/" class="btn btn-default btn-flat">Mon Compte</a>
                                </div>
                                <div class="pull-right">
                                    <a href="/back/logout.php" class="btn btn-default btn-flat">D&eacute;connexion</a>
                                </div>
                            </li>
                        </ul>
                    </li>
                    <!-- Control Sidebar Toggle Button -->
                    <!-- <li>
                        <a href="#" data-toggle="control-sidebar"><i class="fa fa-gears"></i></a>
                    </li> -->
                </ul>
            </div>
        </nav>

    </header>


    <!-- Left side column. contains the logo and sidebar -->
    <aside class="main-sidebar">

        <!-- sidebar: style can be found in sidebar.less -->
        <section class="sidebar">

            <!-- search form (Optional) -->
            <!-- <form action="#" method="get" class="sidebar-form">
                <div class="input-group">
                    <input type="text" name="q" class="form-control" placeholder="Search...">
                    <span class="input-group-btn"><button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i></button></span>
                </div>
            </form> -->
            <!-- /.search form -->

            <!-- Sidebar Menu -->
            <?php if (!empty($_SESSION['menu'])) : ?>
                <ul class="sidebar-menu" data-widget="tree">

                    <!-- <li class="header">Menu</li> -->

                    <?php
                    if (empty($_GET['module_page'])) {
                        $_GET['module_page'] = '';
                    }

                    foreach($_SESSION['menu'] as $arrMenu) :
                        if ($arrMenu['parent_actif'] == 1) :

                            $treeview = '';
                            $treeviewActif = '';

                            if (!empty($arrMenu['smenu'])) {
                                $treeview = 'treeview';

                                $smenuPages = Tools::extractValue('base_page', $arrMenu['smenu']);
                                if (in_array($_GET['module_page'], $smenuPages)) {
                                    $treeviewActif = ' active menu-open';
                                }
                            } else {
                                if ($_GET['module_page'] == $arrMenu['parent_page']) {
                                    $treeviewActif = ' active';
                                }
                            }

                            echo '<li class="'.$treeview.$treeviewActif.'">';

                            if (!empty($arrMenu['smenu'])) {
                                echo '<a href="#null">';
                            } else {
                                echo '<a href="/back/html/' . $arrMenu['parent_page'] . '/list/">';
                            }

                            $icon = (!empty($arrMenu['parent_icon'])) ? $arrMenu['parent_icon'] : 'fa fa-circle-o';
                            echo '<i class="'.$icon.'"></i> <span>'.$arrMenu['parent_titre'].'</span>';
                            if (!empty($arrMenu['smenu'])) :
                                echo '<span class="pull-right-container"><i class="fa fa-angle-left pull-right"></i></span>';
                            endif;
                            echo '</a>';

                            if (!empty($arrMenu['smenu'])) :

                                echo '<ul class="treeview-menu">';

                                foreach ($arrMenu['smenu'] as $smenu) :
                                    if ($smenu['base_actif'] == 1) :
                                        $classLi = ($smenu['base_page'] == $_GET['module_page']) ? 'active' : '';
                                        $icon = (!empty($smenu['base_icon'])) ? $smenu['base_icon'] : 'fa fa-circle-o';
                                        echo '<li class="'.$classLi.'">
                                                <a href="/back/html/'.$smenu['base_page'].'/list/"><i class="'.$icon.'"></i>'.$smenu['base_titre'].'</a>
                                              </li>';
                                    endif;
                                endforeach;

                                echo '</ul>';
                            endif;

                            echo '</li>';

                        endif;
                    endforeach;
                    ?>

                </ul>
            <?php endif; ?>
            <!-- /.sidebar-menu -->
        </section>
        <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <?php endif; ?>

