<?php

use Phinx\Migration\AbstractMigration;

class InsertBonAchat extends AbstractMigration
{
    public function up()
    {
        $bon_achat_statut = array(
            array('bon_achat_statut_id' => '0','bon_achat_statut_nom' => 'Utilisé'),
            array('bon_achat_statut_id' => '1','bon_achat_statut_nom' => 'Valide'),
            array('bon_achat_statut_id' => '2','bon_achat_statut_nom' => 'Annulé')
        );

        $this
            ->table('bon_achat_statut')
            ->insert($bon_achat_statut)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('bon_achat_statut')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
