<?php

use Symfony\Component\EventDispatcher\Event;

// TODO : vider cette class et utiliser l'event Event\TemplateEvent::PRE_RENDER pour faire tout ce qui se fait ici !
// TODO : utiliser la balise render pour afficher les elements de la page : panier rollover, etc...

class Common {

    /**
     * @var \SiteSmarty
     */
    protected $template;

    public function boot(Event $event)
    {

        $this->template = $event->getEngine();

        $phpCache = new \Cache\BoutiqueCache();
        $lgBoutique = Boutique::getInstance()->getLangue();

        $this->template->assign('lgBoutique', $lgBoutique);

        $lgId = $lgBoutique->id;

        $txtAll = $phpCache->get('texte_' . $lgId);
        if ($txtAll === false) {
            $texte = new Texte;
            $txtAll = $texte->getAll();
            $phpCache->create('texte_' . $lgId, $txtAll);
        } else {
            Texte::setAll($txtAll);
        }
        $this->template->assign('txt', $txtAll);

        $this->template->assign('themeFolder', '/' . Boutique::getInstance()->dossier);

    }
}