<?php

namespace Event;

use Symfony\Component\EventDispatcher\Event;
use Panier;

class PanierEvent extends Event
{
    const ADD = 'panier.add';
    const UPDATE = 'panier.update';
    const DELETE = 'panier.delete';
    const CHANGE = 'panier.change';

    protected $panier;

    public function __construct(Panier $panier)
    {
        $this->panier = $panier;
    }

    public function getPanier()
    {
        return $this->panier;
    }
}