{extends file="layout/layout.tpl"}

{block name="content"}
    <!-- styleguide/styleguide.tpl -->

    {*

    Elements à disposition :

    BUTTONS - lignes 71 à 78
    FORMS ELEMENTS - lignes 90 à 167 --> radios, checkboxes, inputs, recherche, quantité ....
    CHOICE BLOCKS - lignes 180 à 194 --> pour les blocs avec radios choix de livraison ou de paiement
    ELEMENTS - lignes  --> blocs collapse, slider de prix, scrollar custom...
    BLOCKS - lignes --> bloc produit, bloc marque, bloc gamme
    SLIDERS - lignes --> slider de produits, slider de marques

    *}


    <div class="container styleguide">
        <div class="row">
            {* TITLE STYLEGUIDE *}
            <div class="col-xs-12 wrapCenter">
                <h1 class="titleH1Styleguide"><span>Styleguide</span></h1>
            </div>
            {*// TITLE STYLEGUIDE *}
        </div>

        {* COLORS *}
        <div class="row">
            <div class="col-sm-2 col-xs-4">
                <span class="styleguidecolor maincolor"></span>
            </div>
            <div class="col-sm-2 col-xs-4">
                <span class="styleguidecolor secondarycolor"></span>
            </div>
            <div class="col-sm-2 col-xs-4">
                <span class="styleguidecolor thirdcolor"></span>
            </div>
            <div class="col-sm-2 col-xs-4">
                <span class="styleguidecolor fourthcolor"></span>
            </div>
            <div class="col-sm-2 col-xs-4">
                <span class="styleguidecolor mediumgreycolor"></span>
            </div>
            <div class="col-sm-2 col-xs-4">
                <span class="styleguidecolor lightgreycolor"></span>
            </div>
        </div>
        {* //COLORS *}

        <div class="sepStyleguide"></div>

        {* TITLES AND TEXTS *}
        <div class="row">
            <div class="col-sm-6 col-xs-12">
                <h1>Mon titre h1</h1>
                <h2>Mon titre h2</h2>
                <h3>Mon titre h3</h3>
                <h4>Mon titre h4</h4>
                <h5>Mon titre h5</h5>
                <h6>Mon titre h6</h6>
            </div>
            <div class="col-sm-6 col-xs-12">
                <p>Exemple de paragraphe <br/><br/>Itaque verae amicitiae difficillime reperiuntur in iis qui in <a href="#">honoribus reque publica versantur;</a> ubi enim istum invenias qui honorem amici anteponat suo? Quid? Haec ut omittam, quam graves, quam difficiles plerisque videntur calamitatum societates! Ad quas non est facile inventu qui descendant. Quamquam Ennius recte.</p>
                <br/>
                <br/>
                <a href="#" class="mainLink">Exemple de lien seul</a>
            </div>
        </div>
        {* // TITLES AND TEXTS *}

        <div class="sepStyleguide"></div>

        {* BUTTONS *}
        <div class="row">
            <div class="col-lg-4 col-sm-6 col-xs-12">
                <a href="#" class="btn btnMain">Bouton principal</a>
                <a href="#" class="btn btnMain smaller">Bouton principal smaller</a>
                <a href="#" class="btn btnMain wide">Bouton principal wide</a>
            </div>
            <div class="col-lg-4 col-sm-6 col-xs-12">
                <a href="#" class="btn btnSecondary">Bouton secondaire</a>
                <a href="#" class="btn btnSecondary smaller">Bouton secondaire smaller</a>
                <a href="#" class="btn btnSecondary wide">Bouton secondaire wide</a>
            </div>
        </div>
        {* // BUTTONS*}

        <div class="sepStyleguide"></div>


        {* FORMS ELEMENTS *}
        <div class="row">
            <div class="col-lg-4 col-sm-6 col-xs-12">
                {*FORM recherche*}
                <form action="{url page="recherche"}" class="wrapTextSubmit wrapSearch">
                    <input type="text" placeholder="Je recherche un produit">
                    {*<button type="submit"><img src="{$themeFolder}/images/icons/loupe.svg" alt="" class="svg svgSearch"></button>*}
                </form>
                {*// FORM recherche*}

                {*FORM input text + submit*}
                <form action="#" class="wrapTextSubmit wrapFloatLabel">
                    <input type="text" id="txtNewsletter" class="floatLabelInput">
                    <label for="txtNewsletter" class="floatLabel"><span class="floatLabelContent">Votre email...</span></label>
                    <button type="submit" data-toggle="modal" data-target=".popupNewsletter" class="btn"></button>
                </form>
                {* // FORM newsletter*}

                <div class="form-group">
                <div class="wrapLeft">
                    <label for="myRadio" class="radio">
                        <input type="radio" name="radioGroup" id="myRadio" checked>
                        <span class="spanRadio"><span></span></span>
                        <span class="text">Oui</span>
                    </label>
                    <label for="myRadio2" class="radio">
                        <input type="radio" name="radioGroup" id="myRadio2">
                        <span class="spanRadio"><span></span></span>
                        <span class="text">Non</span>
                    </label>
                </div>
                <div class="form-group">
                    <div class="wrapLeft">
                        <label for="myCheckbox1" class="checkbox">
                            <input type="checkbox" name="myCheckbox1" id="myCheckbox1" checked>
                            <span class="spanCheckbox"><span></span></span>
                            <span class="text">Choix 1</span>
                        </label>
                        <label for="myCheckbox2" class="checkbox">
                            <input type="checkbox" name="myCheckbox2" id="myCheckbox2">
                            <span class="spanCheckbox"><span></span></span>
                            <span class="text">Choix 2</span>
                        </label>
                    </div>
                </div>

                {*QUANTITE*}
                <div class="qty">
                    <button class="qtyMinus">-</button>
                    <input type="number" id="" name="" value="1">
                    <button class="qtyPlus">+</button>
                </div>
                {* // QUANTITE*}

            </div>
            </div>
            <div class="col-lg-4 col-sm-6 col-xs-12">
                <div class="form-group wrapFloatLabel">
                    <input type="text" id="txtName" class="floatLabelInput">
                    <label for="txtName" class="floatLabel"><span class="floatLabelContent">Votre nom</span></label>
                </div>
                <div class="form-group wrapFloatLabel">
                    <input type="password" id="txtPass" class="floatLabelInput">
                    <label for="txtPass" class="floatLabel"><span class="floatLabelContent">Votre mot de passe</span></label>
                </div>
                <div class="form-group wrapFloatLabel">
                    <input type="tel" id="txtTel" pattern="^(?:0|\(?\+33\)?\s?|0033\s?)[1-79](?:[\.\-\s]?\d\d){4}$" class="floatLabelInput">
                    <label for="txtTel" class="floatLabel"><span class="floatLabelContent">Votre téléphone</span></label>
                </div>
                <div class="form-group wrapFloatLabel">
                    <input type="email" id="txtEmail" autocapitalize="off" autocorrect="off" autocomplete="on" class="floatLabelInput">
                    <label for="txtEmail" class="floatLabel"><span class="floatLabelContent">Votre email</span></label>
                </div>
                <div class="form-group">
                    <div class="wrapInputfile">
                        <input type="file" class="file form-control">
                        <div class="customInputFile">
                            <input type="text" disabled="" placeholder="Choisissez votre fichier">
                            <button class="btn btnSecondary"><i class="fa fa-folder-open"></i>Parcourir</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {* // FORMS *}

        <div class="sepStyleguide"></div>

        {* CHOICE BLOCKS *}
        <div class="row">
            <div class="col-lg-6 col-sm-12 col-xs-12 col-lg-offset-3">

                {*CHOICE BLOCK*}
                <div class="choiceBlock clearfix">
                    <div class="visual">
                        <img src="http://via.placeholder.com/75x50/000000/FFFFFF" alt="" class="img-responsive">
                    </div>
                    <input type="radio" name="radioGroupChoice" id="myRadiochoice" checked>
                    <p class="radioLike"><span></span></p>
                    <div class="mainInfos">
                        <label for="myRadiochoice">
                            <span class="title">Exemple de titre</span>
                            <span>Novitates autem si spem adferunt, ut tamquam in herbis non fallacibus fructus appareat</span>
                        </label>
                        <p class="price">X,XX €</p>
                    </div>
                    <button type="button" class="tooltipLink hidden-xs" data-toggle="tooltip" data-placement="bottom" title="Tooltip on bottom">{include file="icons/tooltip.tpl"}</button>
                </div>
                {* // CHOICE BLOCK*}
                <div class="choiceBlock clearfix">
                    <div class="visual">
                        <img src="http://via.placeholder.com/75x50/000000/FFFFFF" alt="" class="img-responsive">
                    </div>
                    <input type="radio" name="radioGroupChoice" id="myRadiochoice" checked>
                    <p class="radioLike"><span></span></p>
                    <div class="mainInfos">
                        <label for="myRadiochoice">
                            <span class="title">Exemple de titre</span>
                            <span>Novitates autem si spem adferunt, ut tamquam in herbis non fallacibus fructus appareat</span>
                        </label>
                        <p class="price">X,XX €</p>
                    </div>
                    <button type="button" class="tooltipLink hidden-xs" data-toggle="tooltip" data-placement="bottom" title="Tooltip on bottom">{include file="icons/tooltip.tpl"}</button>
                </div>
            </div>
        </div>

        {* CHOICE BLOCKS *}

        <div class="sepStyleguide"></div>


        {*ELEMENTS*}
        <div class="row">
            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                {*COLLAPSE TYPE 1*}
                <a class="titleCollapse collapsed" role="button" data-toggle="collapse" href="#collapseExample" aria-expanded="false" aria-controls="collapseExample">
                    Exemple de titre d'élement collapse
                </a>
                <div class="collapse" id="collapseExample">
                    <p>Exemple de contenu dans la div du collapse</p>
                </div>
                {* // COLLAPSE TYPE 1*}

                {*COLLAPSE TYPE 2*}
                <a class="titleCollapse withBg collapsed" role="button" data-toggle="collapse" href="#collapseExample" aria-expanded="false" aria-controls="collapseExample">
                    Exemple de titre d'élement collapse
                </a>
                <div class="collapse" id="collapseExample">
                    <p>Exemple de contenu dans la div du collapse</p>
                </div>
                {* // COLLAPSE TYPE 2*}
            </div>

            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                {*PRICE SLIDER*}
                <input type="text" id="example_price_slider" name="example_price_slider_name" value=""/>
                {* // PRICE SLIDER*}
            </div>

            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                <div class="customScrollBlock" data-simplebar>
                    <p>
                        Exemple de contenu haut
                        Itaque tum Scaevola cum in eam ipsam mentionem incidisset, exposuit nobis sermonem Laeli de amicitia habitum ab illo secum et cum altero genero, C. Fannio Marci filio, paucis diebus post mortem Africani. Eius disputationis sententias memoriae mandavi, quas hoc libro exposui arbitratu meo; quasi enim ipsos induxi loquentes, ne 'inquam' et 'inquit' saepius interponeretur, atque ut tamquam a praesentibus coram haberi sermo videretur.

                        Adolescebat autem obstinatum propositum erga haec et similia multa scrutanda, stimulos admovente regina, quae abrupte mariti fortunas trudebat in exitium praeceps, cum eum potius lenitate feminea ad veritatis humanitatisque viam reducere utilia suadendo deberet, ut in Gordianorum actibus factitasse Maximini truculenti illius imperatoris rettulimus coniugem.

                        Quare talis improborum consensio non modo excusatione amicitiae tegenda non est sed potius supplicio omni vindicanda est, ut ne quis concessum putet amicum vel bellum patriae inferentem sequi; quod quidem, ut res ire coepit, haud scio an aliquando futurum sit. Mihi autem non minori curae est, qualis res publica post mortem meam futura, quam qualis hodie sit.
                    </p>
                </div>
            </div>
        </div>

        {* // ELEMENTS*}

        <div class="sepStyleguide"></div>

        {* BLOCKS*}
        <div class="row">
            <div class="col-lg-3 col-md-3 col-sm-4 col-xs-6">
                {* PRODUCT BLOCK*}
                {include file="product/listing.tpl"}
                {* // PRODUCT BLOCK*}
            </div>
            <div class="col-lg-3 col-md-3 col-sm-4 col-xs-6">
                {* PRODUCT BLOCK*}
                {include file="product/listing.tpl"}
                {* // PRODUCT BLOCK*}
            </div>
            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-6">
                {* BRAND BLOCK*}
                {include file="brands/listing.tpl"}
                {* // BRAND BLOCK*}
            </div>
            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-6">
                {* BRAND BLOCK*}
                {include file="brands/listing.tpl"}
                {* // BRAND BLOCK*}
            </div>
            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-6">
                {* BRAND BLOCK*}
                {include file="brands/listing.tpl"}
                {* // BRAND BLOCK*}
            </div>
        </div>
        {* // BLOCKS*}

        <div class="sepStyleguide"></div>

        <div class="row">
            <div class="col-lg-4 col-sm-4 col-xs-12">
                <a href="#" class="gammeBlock" style="background-color: #00c48c;">
                    <span>Titre de la gamme</span>
                    {include file="icons/arrow.tpl"}
                </a>
            </div>
            <div class="col-lg-4 col-sm-4 col-xs-12">
                <a href="#" class="gammeBlock" style="background-color: #ffb72b;">
                    <span>Titre de la gamme</span>
                    {include file="icons/arrow.tpl"}
                </a>
            </div>
            <div class="col-lg-4 col-sm-4 col-xs-12">
                <a href="#" class="gammeBlock" style="background-color: #ff7866;">
                    <span>Titre de la gamme</span>
                    {include file="icons/arrow.tpl"}
                </a>
            </div>
        </div>

        {* PRODUCTS SLIDER*}
        <div class="row">
            <div class="col-xs-12">
                <div class="productsSliderWrapper">
                    <div class="sliderTitle">
                        <p class="subTitle">La sélection ovs</p>
                        <h3 class="titleLvl1">100% gourmand</h3>
                    </div>
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-10 col-lg-10 col-md-offset-1 col-lg-offset-1">
                            <div class="productsSlider owl-carousel owl-responsive-1200">
                                <div class="slide">
                                    {include file="product/listing.tpl"}
                                </div>
                                <div class="slide">
                                    {include file="product/listing.tpl"}
                                </div>
                                <div class="slide">
                                    {include file="product/listing.tpl"}
                                </div>
                                <div class="slide">
                                    {include file="product/listing.tpl"}
                                </div>
                                <div class="slide">
                                    {include file="product/listing.tpl"}
                                </div>
                                <div class="slide">
                                    {include file="product/listing.tpl"}
                                </div>
                                <div class="slide">
                                    {include file="product/listing.tpl"}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="background">
                        <img src="{$themeFolder}/images/imgDev/bgSlider1.jpg"/>
                    </div>
                </div>
            </div>
        </div>

        {* // PRODUCTS SLIDER*}

        <div class="sepStyleguide"></div>


        {* BRANDS SLIDER *}
        <div class="row">
            <div class="col-xs-12">
                <div class="brandsSliderWrapper">
                    <div class="sliderTitle">
                        <p class="subTitle">Le meilleur du vegan</p>
                        <h3 class="titleLvl1"><span>63</span>&nbsp;marques</h3>
                    </div>
                    <div class="brandsSlider owl-carousel owl-responsive-1200">
                        <div class="slide">
                            {include file="brands/listing.tpl"}
                        </div>
                        <div class="slide">
                            {include file="brands/listing.tpl"}
                        </div>
                        <div class="slide">
                            {include file="brands/listing.tpl"}
                        </div>
                        <div class="slide">
                            {include file="brands/listing.tpl"}
                        </div>
                        <div class="slide">
                            {include file="brands/listing.tpl"}
                        </div>
                        <div class="slide">
                            {include file="brands/listing.tpl"}
                        </div>
                    </div>
                </div>
            </div>
        </div>

        {* // BRANDS SLIDER *}

        <div class="sepStyleguide"></div>

        <div class="row">
            <div class="col-xs-6">

                <h1>Description</h1>

                {* //DESCRIPTION *}
                <article class="description">
                    <div class="descriptionBody">
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc maximus, nulla ut commodo sagittis, sapien dui mattis dui, non pulvinar lorem felis nec erat, sagittis, sapien dui mattis dui, non pulvinar lorem felis.</p>
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elitr adipiscing elit. Nunc maximus, nulla ut commodo sagittis, sapien dui mattis dui, non pulvinar lorem felis nec erat. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                    </div>
                    <div class="descriptionFooter hidden">
                        <div class="descriptionFooterContainer">
                            <a href="#" class="mainLink descriptionFooterLink" data-toggle="button" aria-pressed="false">
                                <span class="textReadMore">{txt value="Lire la suite"}</span>
                                <span class="textReadLess hidden">{txt value="Masquer"}</span>
                            </a>
                        </div>
                    </div>
                </article>
                {* DESCRIPTION// *}

            </div>
            <div class="col-xs-6">

                {* //FILTER - Selection *}
                <div class="filterSelection">
                    <div class="filterSelectionBody clearfix">
                        <a class="btnFilterSelection" href="#">Nouveautés</a>
                        <a class="btnFilterSelection" href="#">Gluten Free</a>
                    </div>
                    <div class="clearfix"></div>
                    <div class="filterSelectionFooter hidden-xs">
                        <a href="{$urlPage}">{txt value='Tout effacer'}</a>
                    </div>
                </div>
                {* FILTER - Selection// *}

            </div>
        </div>

    </div>
{/block}